mp3splt-gtk.c File Reference
`#include "mp3splt-gtk.h"`
Include dependency graph for mp3splt-gtk.c:

Go to the source code of this file.

## Functions

GThread * | create_thread (GThreadFunc func, ui_state *ui)
GThread * | create_thread_with_fname (GThreadFunc func, ui_with_fname *ui_fname)
void | enter_threads ()
gboolean | exit_application (GtkWidget *widget, GdkEvent *event, gpointer data)
void | exit_application_bis (GtkWidget *widget, gpointer data)
void | exit_threads ()
gint | main (gint argc, gchar *argv[], gchar **envp)
void | split_action (ui_state *ui)

## Variables

ui_state * | ui

## Detailed Description

The main file,

this file contains the main() function as well as some globally used functions.

Definition in file mp3splt-gtk.c.

## Function Documentation

gint main | ( | gint | argc,
|  | gchar * | argv[],
|  | gchar ** | envp
| ) |  |

The traditional C main function.

Todo:
  - Handle the case that more than one input file is specified at the command line. Until now we just open the first one of the specified files which on windows is basically what notepad does.
    And decide what to do in this case:
    - Going into the multiple files mode will mean that our functionality is enabled if several files are opened at once in Windows
    - And opening a separate instance of our program would mean that windows and nautilus behaviour are consistent (nautilus seems to open every file separately) but - does this really make sense?
  - Handle the case that the specified inputfile is a playlist file
  - Set the full path to the file to make sure that the player will find it even if we are called in a different directory than the file is in and stuff.
  - Gstreamer needs a fully qualified path to the audio file in order to be able to play it back. Don't know why. But what I know is that on solaris realpath() may return a relative filename. And there might be an old system around that does not malloc() memory for a pathname if the pathname we give to it is 0 => find a solution that works everywhere.

Definition at line 482 of file mp3splt-gtk.c.